=head1 NAME

Gtk2::AspectFrame - wrapper for GtkAspectFrame

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Frame
                                +----Gtk2::AspectFrame



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gtk2::AspectFrame-E<gt>B<new> ($label, $xalign, $yalign, $ratio, $obey_child)

=over

=item * $label (string or undef) 

=item * $xalign (double) 

=item * $yalign (double) 

=item * $ratio (double) 

=item * $obey_child (boolean) 

=back

=head2 $aspect_frame-E<gt>B<set_params> ($xalign, $yalign, $ratio, $obey_child)

=over

=item * $xalign (double) 

=item * $yalign (double) 

=item * $ratio (double) 

=item * $obey_child (boolean) 

=back



=cut


=head1 PROPERTIES

=over

=item 'obey-child' (boolean : default true : readable / writable / private / static-nick / static-blurb)

Force aspect ratio to match that of the frame's child

=item 'ratio' (float : default 1 : readable / writable / private / static-nick / static-blurb)

Aspect ratio if obey_child is FALSE

=item 'xalign' (float : default 0.5 : readable / writable / private / static-nick / static-blurb)

X alignment of the child

=item 'yalign' (float : default 0.5 : readable / writable / private / static-nick / static-blurb)

Y alignment of the child

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Frame>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

